using System;
using System.Collections.Generic;
using System.Text;

namespace JuSNS.Model
{
    public class UserBasicInfo
    {
        private int _UserID;
        public int UserID
        {
            set { _UserID = value; }
            get { return _UserID; }
        }
        private int _Sex;
        public int Sex
        {
            set { _Sex = value; }
            get { return _Sex; }
        }
        private DateTime _Birthday;
        public DateTime Birthday
        {
            set { _Birthday = value; }
            get { return _Birthday; }
        }
        private int _Marriage;
        public int Marriage
        {
            set { _Marriage = value; }
            get { return _Marriage; }
        }
        private int _BirthidayDisplay;
        public int BirthidayDisplay
        {
            set { _BirthidayDisplay = value; }
            get { return _BirthidayDisplay; }
        }
        private int _Constellation;
        public int Constellation
        {
            set { _Constellation = value; }
            get { return _Constellation; }
        }
        private string _MSN;
        public string MSN
        {
            set { _MSN = value; }
            get { return _MSN; }
        }
        private string _GTalk;
        public string GTalk
        {
            set { _GTalk = value; }
            get { return _GTalk; }
        }
        private string _QQ;
        public string QQ
        {
            set { _QQ = value; }
            get { return _QQ; }
        }
        private string _Skype;
        public string Skype
        {
            set { _Skype = value; }
            get { return _Skype; }
        }
        private string _Mobile;
        public string Mobile
        {
            set { _Mobile = value; }
            get { return _Mobile; }
        }
        private int _MobilePrivacy;
        public int MobilePrivacy
        {
            set { _MobilePrivacy = value; }
            get { return _MobilePrivacy; }
        }
        private int _EmailPrivacy;
        public int EmailPrivacy
        {
            set { _EmailPrivacy = value; }
            get { return _EmailPrivacy; }
        }
        private string _Tel;
        public string Tel
        {
            set { _Tel = value; }
            get { return _Tel; }
        }
        private string _Addr;
        public string Addr
        {
            set { _Addr = value; }
            get { return _Addr; }
        }
        private string _WebSite;
        public string WebSite
        {
            set { _WebSite = value; }
            get { return _WebSite; }
        }
        private string _Favourite;
        public string Favourite
        {
            set { _Favourite = value; }
            get { return _Favourite; }
        }
        private string _FavMusics;
        public string FavMusics
        {
            set { _FavMusics = value; }
            get { return _FavMusics; }
        }
        private string _FavMovies;
        public string FavMovies
        {
            set { _FavMovies = value; }
            get { return _FavMovies; }
        }
        private string _FavCartoons;
        public string FavCartoons
        {
            set { _FavCartoons = value; }
            get { return _FavCartoons; }
        }
        private string _FavGames;
        public string FavGames
        {
            set { _FavGames = value; }
            get { return _FavGames; }
        }
        private string _FavSports;
        public string FavSports
        {
            set { _FavSports = value; }
            get { return _FavSports; }
        }
        private string _FavBooks;
        public string FavBooks
        {
            set { _FavBooks = value; }
            get { return _FavBooks; }
        }
        private string _FavAdages;
        public string FavAdages
        {
            set { _FavAdages = value; }
            get { return _FavAdages; }
        }
        private string _AppreciateMen;
        public string AppreciateMen
        {
            set { _AppreciateMen = value; }
            get { return _AppreciateMen; }
        }
        private string _Presentation;
        public string Presetation
        {
            set { _Presentation = value; }
            get { return _Presentation; }
        }
        private int _Vocation;
        public int Vocation
        {
            set { _Vocation = value; }
            get { return _Vocation; }
        }
        private int _HomeProv;
        public int HomeProv
        {
            set { _HomeProv = value; }
            get { return _HomeProv; }
        }
        private int _HomeCity;
        public int HomeCity
        {
            set { _HomeCity = value; }
            get { return _HomeCity; }
        }
        private int _MSNPrivacy;
        public int MSNPrivacy
        {
            set { _MSNPrivacy = value; }
            get { return _MSNPrivacy; }
        }
        private int _GTalkPrivacy;
        public int GTalkPrivacy
        {
            set { _GTalkPrivacy = value; }
            get { return _GTalkPrivacy; }
        }
        private int _QQPrivacy;
        public int QQPrivacy
        {
            set { _QQPrivacy = value; }
            get { return _QQPrivacy; }
        }
        private int _SkypePrivacy;
        public int SkypePrivacy
        {
            set { _SkypePrivacy = value; }
            get { return _SkypePrivacy; }
        }
        private int _TelPrivacy;
        public int TelPrivacy
        {
            set { _TelPrivacy = value; }
            get { return _TelPrivacy; }
        }
        private int _AddrPrivacy;
        public int AddrPrivacy
        {
            set { _AddrPrivacy = value; }
            get { return _AddrPrivacy; }
        }
        private int _WebSitePrivacy;
        public int WebSitePrivacy
        {
            set { _WebSitePrivacy = value; }
            get { return _WebSitePrivacy; }
        }
    }
}
